#include <iostream>

int main() {
	long long a, b, n;
	std::cin >> a >> b >> n;
	long long pole_wyniku = 0;
	long long wynik_a = 0;
	long long wynik_b = 0;
	for (long long krotszy_bok = 1; krotszy_bok <= a; krotszy_bok++) {
		long long dluzszy_bok = n / krotszy_bok;
		if (dluzszy_bok < krotszy_bok)
			break;
		if (dluzszy_bok > b)
			dluzszy_bok = b;
		long long pole = krotszy_bok * dluzszy_bok;
		if (pole >= pole_wyniku) {
			pole_wyniku = pole;
			wynik_a = krotszy_bok;
			wynik_b = dluzszy_bok;
		}
	}
	std::cout << wynik_a << ' ' << wynik_b << '\n';
	return 0;
}
